> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post resourcesviewsroom views

> The Search Room Resources endpoint provides a list of views of Room Resources defined within the
Agilquest.com System based on the Room View Criteria value POSTed to the endpoint.  The returned collection of Room Resource views will
include a field for the total count of Room Resources that match the criteria, with an array of Room Resource views that
matches the **start** index and **max** value provided by the criteria.



This operation requires a Room View Criteria value.

This operation returns a **Room View Wrapper** with the following fields:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /resources/views/room-views
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /resources/views/room-views:
    post:
      tags:
        - ResourceViewsService
      description: >-
        The Search Room Resources endpoint provides a list of views of Room
        Resources defined within the

        Agilquest.com System based on the Room View Criteria value POSTed to the
        endpoint.  The returned collection of Room Resource views will

        include a field for the total count of Room Resources that match the
        criteria, with an array of Room Resource views that

        matches the **start** index and **max** value provided by the criteria.




        This operation requires a Room View Criteria value.


        This operation returns a **Room View Wrapper** with the following
        fields:
      operationId: searchRoomViews
      parameters: []
      requestBody:
        description: ': RoomViewCriteria to use for search.'
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidResourceIdentityTypes:
                    - 12345
                    - 12345
                  sortColumn: CAPACITY
                  sysidLocationMapImages:
                    - 12345
                    - 12345
                  sysidSwitchDevices:
                    - 12345
                    - 12345
                  capacity: 12345
                  discriminator: ROOM
                  sysidStatuses:
                    - 12345
                    - 12345
                  distance: 12345
                  viewport:
                    southwest:
                      lat: 12345
                      lng: 12345
                    northeast:
                      lat: 12345
                      lng: 12345
                  resourceName: ...
                  sysidUserAlloc: 12345
                  sysidAccount: 12345
                  oredCustomAttribs:
                    - stringValue: ...
                      searchType: LESS_THAN_OR_EQUAL
                      sysidDataType: 12345
                      dateTimeValue:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidAttribute: 12345
                      numberValue: 12345
                      booleanValue: true
                    - stringValue: ...
                      searchType: LESS_THAN_OR_EQUAL
                      sysidDataType: 12345
                      dateTimeValue:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidAttribute: 12345
                      numberValue: 12345
                      booleanValue: true
                  sysidResourceTypes:
                    - 12345
                    - 12345
                  excludedSysidResources:
                    - 12345
                    - 12345
                  sysidDepartments:
                    - 12345
                    - 12345
                  sortAscending: true
                  sysidCategories:
                    - 12345
                    - 12345
                  distanceUnit: miles
                  sysidAllocRelationships:
                    - 12345
                    - 12345
                  longitude: 12345
                  geoSearchEnabled: true
                  latitude: 12345
                  sysidResources:
                    - 12345
                    - 12345
                  andedCustomAttribs:
                    - stringValue: ...
                      searchType: GREATER_THAN_OR_EQUAL
                      sysidDataType: 12345
                      dateTimeValue:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidAttribute: 12345
                      numberValue: 12345
                      booleanValue: true
                    - stringValue: ...
                      searchType: LESS_THAN_OR_EQUAL
                      sysidDataType: 12345
                      dateTimeValue:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidAttribute: 12345
                      numberValue: 12345
                      booleanValue: true
                  priceRange:
                    fromPrice: 12345
                    sysidCostUnitType: 12345
                    sysidCurrencyType: 12345
                    toPrice: 12345
                  sysidLocatorNode: 12345
                  exactMatchOnName: true
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/RoomViewCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    views:
                      - discriminator: ROOM
                        sysidLocatorNode: 12345
                        venueName: ...
                        sysidResourceGroups:
                          - 12345
                          - 12345
                        locationName: ...
                        backToBackMinutes: 12345
                        sysidVenueNode: 12345
                        mapImageLocators:
                          - left: 12345
                            height: 12345
                            top: 12345
                            sysidMapLocator: 12345
                            transparency: 12345
                            locatorImage: {}
                            sysidMapImage: 12345
                            rotation: 12345
                            width: 12345
                            sysidLocatorImage: 12345
                          - left: 12345
                            height: 12345
                            top: 12345
                            sysidMapLocator: 12345
                            transparency: 12345
                            locatorImage: {}
                            sysidMapImage: 12345
                            rotation: 12345
                            width: 12345
                            sysidLocatorImage: 12345
                        capacity: 12345
                        identities:
                          - identityValue: ...
                            sysidResourceIdentityType: 12345
                            sysidResourceIdentity: 12345
                          - identityValue: ...
                            sysidResourceIdentityType: 12345
                            sysidResourceIdentity: 12345
                        reqCheckIn: true
                        sysidAccount: 12345
                        sysidAccountResource: 12345
                        sysidResourceType: 12345
                        typeDescription: ...
                        fqn: ...
                        sysidResource: 12345
                        sysidCurrencyType: 12345
                        averageRating: 12345
                        sysidStatus: 12345
                        minDurationMinutes: 12345
                        maxDurationMinutes: 12345
                        leadTimeMinutes: 12345
                        images:
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                        sysidCategory: 12345
                        name: ...
                        chargeCodeType: 12345
                        allocRelationship: 12345
                        sysidCostUnitType: 12345
                        price: 12345
                        breakDownMinutes: 12345
                        serialversionuid: 12345
                        setupMinutes: 12345
                        minChargeCodeRequired: 12345
                        maxFutureReservationDays: 12345
                      - discriminator: ROOM
                        sysidLocatorNode: 12345
                        venueName: ...
                        sysidResourceGroups:
                          - 12345
                          - 12345
                        locationName: ...
                        backToBackMinutes: 12345
                        sysidVenueNode: 12345
                        mapImageLocators:
                          - left: 12345
                            height: 12345
                            top: 12345
                            sysidMapLocator: 12345
                            transparency: 12345
                            locatorImage: {}
                            sysidMapImage: 12345
                            rotation: 12345
                            width: 12345
                            sysidLocatorImage: 12345
                          - left: 12345
                            height: 12345
                            top: 12345
                            sysidMapLocator: 12345
                            transparency: 12345
                            locatorImage: {}
                            sysidMapImage: 12345
                            rotation: 12345
                            width: 12345
                            sysidLocatorImage: 12345
                        capacity: 12345
                        identities:
                          - identityValue: ...
                            sysidResourceIdentityType: 12345
                            sysidResourceIdentity: 12345
                          - identityValue: ...
                            sysidResourceIdentityType: 12345
                            sysidResourceIdentity: 12345
                        reqCheckIn: true
                        sysidAccount: 12345
                        sysidAccountResource: 12345
                        sysidResourceType: 12345
                        typeDescription: ...
                        fqn: ...
                        sysidResource: 12345
                        sysidCurrencyType: 12345
                        averageRating: 12345
                        sysidStatus: 12345
                        minDurationMinutes: 12345
                        maxDurationMinutes: 12345
                        leadTimeMinutes: 12345
                        images:
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                        sysidCategory: 12345
                        name: ...
                        chargeCodeType: 12345
                        allocRelationship: 12345
                        sysidCostUnitType: 12345
                        price: 12345
                        breakDownMinutes: 12345
                        serialversionuid: 12345
                        setupMinutes: 12345
                        minChargeCodeRequired: 12345
                        maxFutureReservationDays: 12345
                    nextStartRow: 12345
                    hasAdditional: true
              schema:
                $ref: '#/components/schemas/RoomViewWrapper'
          description: |-
            RoomViewWrapper  with RoomView values.

            com.agilquest.phoenix.shared.data.rest.wrapper.RoomViewWrapper
components:
  schemas:
    RoomViewCriteria:
      type: object
      title: RoomViewCriteria
      allOf:
        - $ref: '#/components/schemas/ResourceViewBaseCriteria'
        - properties:
            sysidResourceIdentityTypes:
              type: array
              items:
                type: integer
            sortColumn:
              $ref: '#/components/schemas/RoomViewSortColumns'
            sysidLocationMapImages:
              type: array
              items:
                type: integer
            sysidSwitchDevices:
              type: array
              items:
                type: integer
            capacity:
              type: integer
              format: int32
      example:
        sysidResourceIdentityTypes:
          - 12345
          - 12345
        sortColumn: PRICE
        sysidLocationMapImages:
          - 12345
          - 12345
        sysidSwitchDevices:
          - 12345
          - 12345
        capacity: 12345
        discriminator: ROOM
        sysidStatuses:
          - 12345
          - 12345
        distance: 12345
        viewport:
          southwest:
            lat: 12345
            lng: 12345
          northeast:
            lat: 12345
            lng: 12345
        resourceName: ...
        sysidUserAlloc: 12345
        sysidAccount: 12345
        oredCustomAttribs:
          - stringValue: ...
            searchType: GREATER_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        sysidResourceTypes:
          - 12345
          - 12345
        excludedSysidResources:
          - 12345
          - 12345
        sysidDepartments:
          - 12345
          - 12345
        sortAscending: true
        sysidCategories:
          - 12345
          - 12345
        distanceUnit: kilometers
        sysidAllocRelationships:
          - 12345
          - 12345
        longitude: 12345
        geoSearchEnabled: true
        latitude: 12345
        sysidResources:
          - 12345
          - 12345
        andedCustomAttribs:
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        priceRange:
          fromPrice: 12345
          sysidCostUnitType: 12345
          sysidCurrencyType: 12345
          toPrice: 12345
        sysidLocatorNode: 12345
        exactMatchOnName: true
        startRow: 12345
        maxRows: 12345
    RoomViewWrapper:
      type: object
      title: RoomViewWrapper
      required:
        - hasAdditional
        - nextStartRow
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            views:
              type: array
              items:
                $ref: '#/components/schemas/RoomView'
            nextStartRow:
              type: integer
              format: int32
            hasAdditional:
              type: boolean
      example:
        hasAdditional: true
        views:
          - discriminator: ROOM
            sysidLocatorNode: 12345
            venueName: ...
            sysidResourceGroups:
              - 12345
              - 12345
            locationName: ...
            backToBackMinutes: 12345
            sysidVenueNode: 12345
            mapImageLocators:
              - left: 12345
                height: 12345
                top: 12345
                sysidMapLocator: 12345
                transparency: 12345
                locatorImage: {}
                sysidMapImage: 12345
                rotation: 12345
                width: 12345
                sysidLocatorImage: 12345
              - left: 12345
                height: 12345
                top: 12345
                sysidMapLocator: 12345
                transparency: 12345
                locatorImage: {}
                sysidMapImage: 12345
                rotation: 12345
                width: 12345
                sysidLocatorImage: 12345
            capacity: 12345
            identities:
              - identityValue: ...
                sysidResourceIdentityType: 12345
                sysidResourceIdentity: 12345
              - identityValue: ...
                sysidResourceIdentityType: 12345
                sysidResourceIdentity: 12345
            reqCheckIn: true
            sysidAccount: 12345
            sysidAccountResource: 12345
            sysidResourceType: 12345
            typeDescription: ...
            fqn: ...
            sysidResource: 12345
            sysidCurrencyType: 12345
            averageRating: 12345
            sysidStatus: 12345
            minDurationMinutes: 12345
            maxDurationMinutes: 12345
            leadTimeMinutes: 12345
            images:
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
            sysidCategory: 12345
            name: ...
            chargeCodeType: 12345
            allocRelationship: 12345
            sysidCostUnitType: 12345
            price: 12345
            breakDownMinutes: 12345
            serialversionuid: 12345
            setupMinutes: 12345
            minChargeCodeRequired: 12345
            maxFutureReservationDays: 12345
          - discriminator: ROOM
            sysidLocatorNode: 12345
            venueName: ...
            sysidResourceGroups:
              - 12345
              - 12345
            locationName: ...
            backToBackMinutes: 12345
            sysidVenueNode: 12345
            mapImageLocators:
              - left: 12345
                height: 12345
                top: 12345
                sysidMapLocator: 12345
                transparency: 12345
                locatorImage: {}
                sysidMapImage: 12345
                rotation: 12345
                width: 12345
                sysidLocatorImage: 12345
              - left: 12345
                height: 12345
                top: 12345
                sysidMapLocator: 12345
                transparency: 12345
                locatorImage: {}
                sysidMapImage: 12345
                rotation: 12345
                width: 12345
                sysidLocatorImage: 12345
            capacity: 12345
            identities:
              - identityValue: ...
                sysidResourceIdentityType: 12345
                sysidResourceIdentity: 12345
              - identityValue: ...
                sysidResourceIdentityType: 12345
                sysidResourceIdentity: 12345
            reqCheckIn: true
            sysidAccount: 12345
            sysidAccountResource: 12345
            sysidResourceType: 12345
            typeDescription: ...
            fqn: ...
            sysidResource: 12345
            sysidCurrencyType: 12345
            averageRating: 12345
            sysidStatus: 12345
            minDurationMinutes: 12345
            maxDurationMinutes: 12345
            leadTimeMinutes: 12345
            images:
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
            sysidCategory: 12345
            name: ...
            chargeCodeType: 12345
            allocRelationship: 12345
            sysidCostUnitType: 12345
            price: 12345
            breakDownMinutes: 12345
            serialversionuid: 12345
            setupMinutes: 12345
            minChargeCodeRequired: 12345
            maxFutureReservationDays: 12345
        nextStartRow: 12345
    ResourceViewBaseCriteria:
      discriminator: discriminator
      type: object
      title: ResourceViewBaseCriteria
      allOf:
        - $ref: '#/components/schemas/ResourceBaseCriteria'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            sysidStatuses:
              type: array
              items:
                type: integer
      example:
        discriminator: ...
        sysidStatuses:
          - 12345
          - 12345
        distance: 12345
        viewport:
          southwest:
            lat: 12345
            lng: 12345
          northeast:
            lat: 12345
            lng: 12345
        resourceName: ...
        sysidUserAlloc: 12345
        sysidAccount: 12345
        oredCustomAttribs:
          - stringValue: ...
            searchType: LESS_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        sysidResourceTypes:
          - 12345
          - 12345
        excludedSysidResources:
          - 12345
          - 12345
        sysidDepartments:
          - 12345
          - 12345
        sortAscending: true
        sysidCategories:
          - 12345
          - 12345
        distanceUnit: kilometers
        sysidAllocRelationships:
          - 12345
          - 12345
        longitude: 12345
        geoSearchEnabled: true
        latitude: 12345
        sysidResources:
          - 12345
          - 12345
        andedCustomAttribs:
          - stringValue: ...
            searchType: GREATER_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        priceRange:
          fromPrice: 12345
          sysidCostUnitType: 12345
          sysidCurrencyType: 12345
          toPrice: 12345
        sysidLocatorNode: 12345
        exactMatchOnName: true
        startRow: 12345
        maxRows: 12345
    RoomViewSortColumns:
      type: string
      title: RoomViewSortColumns
      enum:
        - RESOURCE_NAME
        - CATEGORY
        - RESOURCE_TYPE
        - LOCATION
        - CAPACITY
        - ALLOCATION_RELATION
        - PRICE
    DependentData:
      type: object
      title: DependentData
      example: {}
    RoomView:
      discriminator: discriminator
      type: object
      title: RoomView
      required:
        - sysidLocatorNode
        - backToBackMinutes
        - sysidVenueNode
        - reqCheckIn
      allOf:
        - $ref: '#/components/schemas/ResourceViewBase'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            sysidLocatorNode:
              type: integer
              format: int32
            venueName:
              type: string
            sysidResourceGroups:
              type: array
              items:
                type: integer
            locationName:
              type: string
            backToBackMinutes:
              type: integer
              format: int32
            sysidVenueNode:
              type: integer
              format: int32
            mapImageLocators:
              type: array
              items:
                $ref: '#/components/schemas/ImageLocatorData'
            capacity:
              type: integer
              format: int32
            identities:
              type: array
              items:
                $ref: '#/components/schemas/ResourceIdentityData'
            reqCheckIn:
              type: boolean
      example:
        discriminator: ROOM
        sysidLocatorNode: 12345
        venueName: ...
        sysidResourceGroups:
          - 12345
          - 12345
        locationName: ...
        backToBackMinutes: 12345
        sysidVenueNode: 12345
        mapImageLocators:
          - left: 12345
            height: 12345
            top: 12345
            sysidMapLocator: 12345
            transparency: 12345
            locatorImage:
              imageSource: ...
              imageType: {}
              sysidLocatorImage: 12345
            sysidMapImage: 12345
            rotation: 12345
            width: 12345
            sysidLocatorImage: 12345
          - left: 12345
            height: 12345
            top: 12345
            sysidMapLocator: 12345
            transparency: 12345
            locatorImage:
              imageSource: ...
              imageType: {}
              sysidLocatorImage: 12345
            sysidMapImage: 12345
            rotation: 12345
            width: 12345
            sysidLocatorImage: 12345
        capacity: 12345
        identities:
          - identityValue: ...
            sysidResourceIdentityType: 12345
            sysidResourceIdentity: 12345
          - identityValue: ...
            sysidResourceIdentityType: 12345
            sysidResourceIdentity: 12345
        reqCheckIn: true
        sysidAccount: 12345
        sysidAccountResource: 12345
        sysidResourceType: 12345
        typeDescription: ...
        fqn: ...
        sysidResource: 12345
        sysidCurrencyType: 12345
        averageRating: 12345
        sysidStatus: 12345
        minDurationMinutes: 12345
        maxDurationMinutes: 12345
        leadTimeMinutes: 12345
        images:
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
        sysidCategory: 12345
        name: ...
        chargeCodeType: 12345
        allocRelationship: 12345
        sysidCostUnitType: 12345
        price: 12345
        breakDownMinutes: 12345
        serialversionuid: 12345
        setupMinutes: 12345
        minChargeCodeRequired: 12345
        maxFutureReservationDays: 12345
    ResourceBaseCriteria:
      type: object
      title: ResourceBaseCriteria
      required:
        - sortAscending
        - geoSearchEnabled
        - exactMatchOnName
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            distance:
              type: integer
              format: int32
            viewport:
              $ref: '#/components/schemas/Viewport'
            resourceName:
              type: string
            sysidUserAlloc:
              type: integer
              format: int32
            sysidAccount:
              type: integer
              format: int32
            oredCustomAttribs:
              type: array
              items:
                $ref: '#/components/schemas/CustomAttributeSearch'
            sysidResourceTypes:
              type: array
              items:
                type: integer
            excludedSysidResources:
              type: array
              items:
                type: integer
            sysidDepartments:
              type: array
              items:
                type: integer
            sortAscending:
              type: boolean
            sysidCategories:
              type: array
              items:
                type: integer
            distanceUnit:
              $ref: '#/components/schemas/GeoDistanceUnitType'
            sysidAllocRelationships:
              type: array
              items:
                type: integer
            longitude:
              type: number
            geoSearchEnabled:
              type: boolean
            latitude:
              type: number
            sysidResources:
              type: array
              items:
                type: integer
            andedCustomAttribs:
              type: array
              items:
                $ref: '#/components/schemas/CustomAttributeSearch'
            priceRange:
              $ref: '#/components/schemas/PriceRangeData'
            sysidLocatorNode:
              type: integer
              format: int32
            exactMatchOnName:
              type: boolean
      example:
        distance: 12345
        viewport:
          southwest:
            lat: 12345
            lng: 12345
          northeast:
            lat: 12345
            lng: 12345
        resourceName: ...
        sysidUserAlloc: 12345
        sysidAccount: 12345
        oredCustomAttribs:
          - stringValue: ...
            searchType: LESS_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: GREATER_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        sysidResourceTypes:
          - 12345
          - 12345
        excludedSysidResources:
          - 12345
          - 12345
        sysidDepartments:
          - 12345
          - 12345
        sortAscending: true
        sysidCategories:
          - 12345
          - 12345
        distanceUnit: miles
        sysidAllocRelationships:
          - 12345
          - 12345
        longitude: 12345
        geoSearchEnabled: true
        latitude: 12345
        sysidResources:
          - 12345
          - 12345
        andedCustomAttribs:
          - stringValue: ...
            searchType: GREATER_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: LESS_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        priceRange:
          fromPrice: 12345
          sysidCostUnitType: 12345
          sysidCurrencyType: 12345
          toPrice: 12345
        sysidLocatorNode: 12345
        exactMatchOnName: true
        startRow: 12345
        maxRows: 12345
    ResourceViewBase:
      discriminator: discriminator
      type: object
      title: ResourceViewBase
      required:
        - sysidAccount
        - sysidAccountResource
        - sysidResourceType
        - sysidResource
        - sysidStatus
        - leadTimeMinutes
        - sysidCategory
        - chargeCodeType
        - allocRelationship
        - breakDownMinutes
        - serialversionuid
        - setupMinutes
        - minChargeCodeRequired
        - maxFutureReservationDays
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            sysidAccount:
              type: integer
              format: int32
            sysidAccountResource:
              type: integer
              format: int32
            sysidResourceType:
              type: integer
              format: int32
            typeDescription:
              type: string
            fqn:
              type: string
            sysidResource:
              type: integer
              format: int32
            sysidCurrencyType:
              type: integer
              format: int32
            averageRating:
              type: number
            sysidStatus:
              type: integer
              format: int32
            minDurationMinutes:
              type: integer
              format: int32
            maxDurationMinutes:
              type: integer
              format: int32
            leadTimeMinutes:
              type: integer
              format: int32
            images:
              type: array
              items:
                $ref: '#/components/schemas/ResourceImageData'
            sysidCategory:
              type: integer
              format: int32
            name:
              type: string
            chargeCodeType:
              type: integer
              format: int32
            allocRelationship:
              type: integer
              format: int32
            sysidCostUnitType:
              type: integer
              format: int32
            price:
              type: number
            breakDownMinutes:
              type: integer
              format: int32
            serialversionuid:
              type: integer
              format: int64
            setupMinutes:
              type: integer
              format: int32
            minChargeCodeRequired:
              type: integer
              format: int32
            maxFutureReservationDays:
              type: integer
              format: int32
      example:
        discriminator: ...
        sysidAccount: 12345
        sysidAccountResource: 12345
        sysidResourceType: 12345
        typeDescription: ...
        fqn: ...
        sysidResource: 12345
        sysidCurrencyType: 12345
        averageRating: 12345
        sysidStatus: 12345
        minDurationMinutes: 12345
        maxDurationMinutes: 12345
        leadTimeMinutes: 12345
        images:
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
        sysidCategory: 12345
        name: ...
        chargeCodeType: 12345
        allocRelationship: 12345
        sysidCostUnitType: 12345
        price: 12345
        breakDownMinutes: 12345
        serialversionuid: 12345
        setupMinutes: 12345
        minChargeCodeRequired: 12345
        maxFutureReservationDays: 12345
    ImageLocatorData:
      type: object
      title: ImageLocatorData
      required:
        - left
        - height
        - top
        - transparency
        - sysidMapImage
        - rotation
        - width
        - sysidLocatorImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            left:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            top:
              type: integer
              format: int32
            sysidMapLocator:
              type: integer
              format: int32
            transparency:
              type: integer
              format: int32
            locatorImage:
              $ref: '#/components/schemas/LocatorImage'
            sysidMapImage:
              type: integer
              format: int32
            rotation:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            sysidLocatorImage:
              type: integer
              format: int32
      example:
        left: 12345
        height: 12345
        top: 12345
        sysidMapLocator: 12345
        transparency: 12345
        locatorImage:
          imageSource: ...
          imageType:
            languageTagKey: ...
            name: ...
            sysid: 12345
          sysidLocatorImage: 12345
        sysidMapImage: 12345
        rotation: 12345
        width: 12345
        sysidLocatorImage: 12345
    ResourceIdentityData:
      type: object
      title: ResourceIdentityData
      required:
        - sysidResourceIdentityType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            identityValue:
              type: string
            sysidResourceIdentityType:
              type: integer
              format: int32
            sysidResourceIdentity:
              type: integer
              format: int32
      example:
        identityValue: ...
        sysidResourceIdentityType: 12345
        sysidResourceIdentity: 12345
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    Viewport:
      type: object
      title: Viewport
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            southwest:
              $ref: '#/components/schemas/Southwest'
            northeast:
              $ref: '#/components/schemas/Northeast'
      example:
        southwest:
          lat: 12345
          lng: 12345
        northeast:
          lat: 12345
          lng: 12345
    CustomAttributeSearch:
      type: object
      title: CustomAttributeSearch
      required:
        - sysidDataType
        - sysidAttribute
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            stringValue:
              type: string
            searchType:
              $ref: '#/components/schemas/CustomAttributeSearchType'
            sysidDataType:
              type: integer
              format: int32
            dateTimeValue:
              $ref: '#/components/schemas/AqDate'
            sysidAttribute:
              type: integer
              format: int32
            numberValue:
              type: integer
              format: int64
            booleanValue:
              type: boolean
      example:
        stringValue: ...
        searchType: GREATER_THAN_OR_EQUAL
        sysidDataType: 12345
        dateTimeValue:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidAttribute: 12345
        numberValue: 12345
        booleanValue: true
    GeoDistanceUnitType:
      type: string
      title: GeoDistanceUnitType
      enum:
        - miles
        - kilometers
    PriceRangeData:
      type: object
      title: PriceRangeData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            fromPrice:
              type: number
            sysidCostUnitType:
              type: integer
              format: int32
            sysidCurrencyType:
              type: integer
              format: int32
            toPrice:
              type: number
      example:
        fromPrice: 12345
        sysidCostUnitType: 12345
        sysidCurrencyType: 12345
        toPrice: 12345
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    ResourceImageData:
      type: object
      title: ResourceImageData
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            height:
              type: integer
              format: int32
            thumbnailSource:
              type: string
            imageSource:
              type: string
            displayOrder:
              type: integer
              format: int32
            name:
              type: string
            defaultImage:
              type: boolean
            sysidResourceImage:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            description:
              type: string
      example:
        thumbnailSource: ...
        height: 12345
        imageSource: ...
        sysidResourceImage: 12345
        width: 12345
        defaultImage: true
        name: ...
        displayOrder: 12345
        description: ...
    LocatorImage:
      type: object
      title: LocatorImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            imageSource:
              type: string
            imageType:
              $ref: '#/components/schemas/CodeTableData'
            sysidLocatorImage:
              type: integer
              format: int32
      example:
        imageSource: ...
        imageType:
          languageTagKey: ...
          name: ...
          sysid: 12345
        sysidLocatorImage: 12345
    Southwest:
      type: object
      title: Southwest
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    Northeast:
      type: object
      title: Northeast
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    CustomAttributeSearchType:
      type: string
      title: CustomAttributeSearchType
      enum:
        - LESS_THAN_OR_EQUAL
        - EQUAL
        - GREATER_THAN_OR_EQUAL
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true
    CodeTableData:
      type: object
      title: CodeTableData
      required:
        - sysid
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            languageTagKey:
              type: string
            name:
              type: string
            sysid:
              type: integer
              format: int32
      example:
        languageTagKey: ...
        name: ...
        sysid: 12345

````